College Basketball DataCollege Basketball Data
  • CollegeBasketballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • API Reference
Helpful links
  • CBBD
  • Get API key
  • Access tiers
Official libraries
  • Python
  • TypeScript
  • R
  • API source
Other resources
  • Rad Sports Analytics
  • Football
  • CBB Starter Pack

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/mediaget/games/teamsget/games/playersget/scoreboardget
Plays
    /substitutions/game/{gameId}get/substitutions/player/{playerId}get/substitutions/teamget/plays/game/{gameId}get/plays/player/{playerId}get/plays/teamget/plays/dateget/plays/tournamentget/plays/typesget
Teams
    /teamsget/teams/rosterget
Conferences
    /conferencesget/conferences/historyget
Venues
    /venuesget
Stats
    /stats/team/leaderboardget/stats/team/seasonget/stats/team/shooting/seasonget/stats/player/seasonget/stats/player/shooting/seasonget
Rankings
    /rankingsget
Ratings
    /ratings/srsget/ratings/adjustedget/ratings/eloget
Lines
    /linesget/lines/providersget
Lineups
    /lineups/teamget/lineups/game/{gameId}get
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/portalget
Schemas
powered by Zudoku
College Basketball Data API
College Basketball Data API

Stats

Download schema

Team and player season statistics.


GET
https://api.collegebasketballdata.com
/stats/team/leaderboard
Bearer

Returns team leaderboard statistics. This endpoint requires Patreon Tier 2 access or higher.

query Parameters

season
​number · double

Filters results to the specified season.

team
​string

Filters results to the specified team name.

conference
​string

Filters results to the specified conference abbreviation.

Responses

200

Ok

​TeamStatsLeaderboardRecord[]
TeamStatsLeaderboardRecord
season
​integer · int32 · required
teamId
​integer · int32 · required
team
​string · required
​TeamStatsLeaderboardConference · required
​TeamStatsLeaderboardRecordSummary · required
​TeamStatsLeaderboardSummary · required
​TeamStatsLeaderboardUnitStats · required
​TeamStatsLeaderboardUnitStats · required
​TeamStatsLeaderboardShotProfile · required
​object · required
GET/stats/team/leaderboard
curl https://api.collegebasketballdata.com/stats/team/leaderboard \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "teamId": 0, "team": "team", "conference": { "id": 0, "abbreviation": "abbreviation" }, "record": { "games": 0, "wins": 0, "losses": 0 }, "summary": { "totalMinutes": 0, "trackedShots": 0, "pace": 0, "rawNetRating": 0 }, "teamStats": { "points": { "fastBreak": 0, "offTurnovers": 0, "inPaint": 0, "total": 0 }, "possessions": 0, "rawOffensiveRating": 0, "trueShootingPct": 0, "effectiveFieldGoalPct": 0, "turnoverRatio": 0, "offensiveReboundPct": 0, "freeThrowRate": 0, "fieldGoals": { "attempted": 0, "made": 0 }, "twoPointFieldGoals": { "attempted": 0, "made": 0 }, "threePointFieldGoals": { "attempted": 0, "made": 0 }, "freeThrows": { "attempted": 0, "made": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "turnovers": { "technical": 0, "team": 0, "total": 0 }, "fouls": { "flagrant": 0, "technical": 0, "total": 0 }, "assists": 0, "blocks": 0, "steals": 0 }, "opponentStats": { "points": { "fastBreak": 0, "offTurnovers": 0, "inPaint": 0, "total": 0 }, "possessions": 0, "rawOffensiveRating": 0, "trueShootingPct": 0, "effectiveFieldGoalPct": 0, "turnoverRatio": 0, "offensiveReboundPct": 0, "freeThrowRate": 0, "fieldGoals": { "attempted": 0, "made": 0 }, "twoPointFieldGoals": { "attempted": 0, "made": 0 }, "threePointFieldGoals": { "attempted": 0, "made": 0 }, "freeThrows": { "attempted": 0, "made": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "turnovers": { "technical": 0, "team": 0, "total": 0 }, "fouls": { "flagrant": 0, "technical": 0, "total": 0 }, "assists": 0, "blocks": 0, "steals": 0 }, "shotProfile": { "assistedPct": 0, "atRim": { "assistedPct": 0, "pct": 0, "rate": 0 }, "dunk": { "rate": 0, "assisted": 0, "made": 0, "attempts": 0 }, "layup": { "rate": 0, "assisted": 0, "made": 0, "attempts": 0 }, "tipIn": { "rate": 0, "made": 0, "attempts": 0 }, "twoPointJumper": { "assistedPct": 0, "pct": 0, "rate": 0, "assisted": 0, "made": 0, "attempts": 0 }, "threePointJumper": { "assistedPct": 0, "pct": 0, "rate": 0, "assisted": 0, "made": 0, "attempts": 0 }, "freeThrows": { "rate": 0, "made": 0, "attempts": 0 }, "distribution": { "threeRate": 0, "jumperRate": 0, "midrangeRate": 0 } }, "adjustedEfficiency": { "offensiveRating": 0, "defensiveRating": 0, "netRating": 0, "rankings": { "net": 0, "defense": 0, "offense": 0 } } } ]
json
application/json

GET
https://api.collegebasketballdata.com
/stats/team/season
Bearer

Returns team season statistics. Provide at least a season or team.

query Parameters

season
​number · double

Filters results to the specified season. Required when team is not provided.

seasonType
​SeasonType · enum

Filters results to the specified season type.

Enum values:
postseason
preseason
regular
team
​string

Filters results to the specified team name. Required when season is not provided.

conference
​string

Filters results to the specified conference abbreviation.

startDateRange
​string · date-time

Includes games starting at or after this ISO 8601 timestamp.

endDateRange
​string · date-time

Includes games starting at or before this ISO 8601 timestamp.

Responses

200

Ok

​TeamSeasonStats[]
TeamSeasonStats
season
​integer · int32 · required
seasonLabel
​string · required
teamId
​integer · int32 · required
team
​string · required
conference
​string | null · required
games
​integer · int32 · required
wins
​number · double · required
losses
​number · double · required
totalMinutes
​number | null · double · required
pace
​number | null · double · required
​TeamSeasonUnitStats · required
​TeamSeasonUnitStats · required
GET/stats/team/season
curl https://api.collegebasketballdata.com/stats/team/season \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "seasonLabel": "seasonLabel", "teamId": 0, "team": "team", "conference": "conference", "games": 0, "wins": 0, "losses": 0, "totalMinutes": 0, "pace": 0, "teamStats": { "fieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "twoPointFieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "threePointFieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "freeThrows": { "pct": 0, "attempted": 0, "made": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "turnovers": { "teamTotal": 0, "total": 0 }, "fouls": { "flagrant": 0, "technical": 0, "total": 0 }, "points": { "fastBreak": 0, "offTurnovers": 0, "inPaint": 0, "total": 0 }, "fourFactors": { "freeThrowRate": 0, "offensiveReboundPct": 0, "turnoverRatio": 0, "effectiveFieldGoalPct": 0 }, "assists": 0, "blocks": 0, "steals": 0, "possessions": 0, "rating": 0, "trueShooting": 0 }, "opponentStats": { "fieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "twoPointFieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "threePointFieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "freeThrows": { "pct": 0, "attempted": 0, "made": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "turnovers": { "teamTotal": 0, "total": 0 }, "fouls": { "flagrant": 0, "technical": 0, "total": 0 }, "points": { "fastBreak": 0, "offTurnovers": 0, "inPaint": 0, "total": 0 }, "fourFactors": { "freeThrowRate": 0, "offensiveReboundPct": 0, "turnoverRatio": 0, "effectiveFieldGoalPct": 0 }, "assists": 0, "blocks": 0, "steals": 0, "possessions": 0, "rating": 0, "trueShooting": 0 } } ]
json
application/json

GET
https://api.collegebasketballdata.com
/stats/team/shooting/season
Bearer

Returns team shooting statistics for a season. Provide a team or conference.

query Parameters

season
​integer · int32 · required

The season to return.

seasonType
​SeasonType · enum

Filters results to the specified season type.

Enum values:
postseason
preseason
regular
team
​string

Filters results to the specified team name. Required when conference is not provided.

conference
​string

Filters results to the specified conference abbreviation. Required when team is not provided.

startDateRange
​string · date-time

Includes games starting at or after this ISO 8601 timestamp.

endDateRange
​string · date-time

Includes games starting at or before this ISO 8601 timestamp.

Responses

200

Ok

​SeasonShootingStats[]
SeasonShootingStats
season
​integer · int32 · required
teamId
​integer · int32 · required
team
​string · required
conference
​string | null · required
trackedShots
​integer · int32 · required
assistedPct
​number · double · required
freeThrowRate
​number · double · required
​object · required
​object · required
​ShotTypeBreakdown · required
​object · required
​object · required
​ShotTypeBreakdown · required
​object · required
GET/stats/team/shooting/season
curl 'https://api.collegebasketballdata.com/stats/team/shooting/season?season=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "teamId": 0, "team": "team", "conference": "conference", "trackedShots": 0, "assistedPct": 0, "freeThrowRate": 0, "dunks": { "made": 0, "attempted": 0, "pct": 0 }, "layups": { "made": 0, "attempted": 0, "pct": 0 }, "tipIns": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointJumpers": { "made": 0, "attempted": 0, "pct": 0 }, "threePointJumpers": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "attemptsBreakdown": { "threePointJumpers": 0, "twoPointJumpers": 0, "tipIns": 0, "layups": 0, "dunks": 0 } } ]
json
application/json

GET
https://api.collegebasketballdata.com
/stats/player/season
Bearer

Returns player statistics for a season.

query Parameters

season
​number · double · required

The season to return.

seasonType
​SeasonType · enum

Filters results to the specified season type.

Enum values:
postseason
preseason
regular
team
​string

Filters results to the specified team name.

conference
​string

Filters results to the specified conference abbreviation.

startDateRange
​string · date-time

Includes games starting at or after this ISO 8601 timestamp.

endDateRange
​string · date-time

Includes games starting at or before this ISO 8601 timestamp.

Responses

200

Ok

​PlayerSeasonStats[]
PlayerSeasonStats
season
​integer · int32 · required
seasonLabel
​string · required
teamId
​integer · int32 · required
team
​string · required
conference
​string | null · required
athleteId
​integer · int32 · required
athleteSourceId
​string · required
name
​string · required
position
​string · required
games
​number · double · required
starts
​number · double · required
minutes
​number · double · required
points
​number | null · double · required
turnovers
​number | null · double · required
fouls
​number | null · double · required
assists
​number | null · double · required
steals
​number | null · double · required
blocks
​number | null · double · required
usage
​number | null · double · required
offensiveRating
​number | null · double · required
defensiveRating
​number | null · double · required
netRating
​number | null · double · required
PORPAG
​number | null · double · required
effectiveFieldGoalPct
​number | null · double · required
trueShootingPct
​number | null · double · required
assistsTurnoverRatio
​number | null · double · required
freeThrowRate
​number | null · double · required
offensiveReboundPct
​number | null · double · required
​object · required
​object · required
​object · required
​object · required
​object · required
​object · required
GET/stats/player/season
curl 'https://api.collegebasketballdata.com/stats/player/season?season=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "seasonLabel": "seasonLabel", "teamId": 0, "team": "team", "conference": "conference", "athleteId": 0, "athleteSourceId": "athleteSourceId", "name": "name", "position": "position", "games": 0, "starts": 0, "minutes": 0, "points": 0, "turnovers": 0, "fouls": 0, "assists": 0, "steals": 0, "blocks": 0, "usage": 0, "offensiveRating": 0, "defensiveRating": 0, "netRating": 0, "PORPAG": 0, "effectiveFieldGoalPct": 0, "trueShootingPct": 0, "assistsTurnoverRatio": 0, "freeThrowRate": 0, "offensiveReboundPct": 0, "fieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "twoPointFieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "threePointFieldGoals": { "pct": 0, "attempted": 0, "made": 0 }, "freeThrows": { "pct": 0, "attempted": 0, "made": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "winShares": { "totalPer40": 0, "total": 0, "defensive": 0, "offensive": 0 } } ]
json
application/json

GET
https://api.collegebasketballdata.com
/stats/player/shooting/season
Bearer

Returns player shooting statistics for a season. Provide a team or conference.

query Parameters

season
​integer · int32 · required

The season to return.

seasonType
​SeasonType · enum

Filters results to the specified season type.

Enum values:
postseason
preseason
regular
team
​string

Filters results to the specified team name. Required when conference is not provided.

conference
​string

Filters results to the specified conference abbreviation. Required when team is not provided.

startDateRange
​string · date-time

Includes games starting at or after this ISO 8601 timestamp.

endDateRange
​string · date-time

Includes games starting at or before this ISO 8601 timestamp.

Responses

200

Ok

​PlayerSeasonShootingStats[]
PlayerSeasonShootingStats
season
​integer · int32 · required
teamId
​integer · int32 · required
team
​string · required
conference
​string | null · required
trackedShots
​integer · int32 · required
assistedPct
​number · double · required
freeThrowRate
​number · double · required
​object · required
​object · required
​ShotTypeBreakdown · required
​object · required
​object · required
​ShotTypeBreakdown · required
​object · required
athleteId
​integer · int32 · required
athleteName
​string · required
GET/stats/player/shooting/season
curl 'https://api.collegebasketballdata.com/stats/player/shooting/season?season=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "teamId": 0, "team": "team", "conference": "conference", "trackedShots": 0, "assistedPct": 0, "freeThrowRate": 0, "dunks": { "made": 0, "attempted": 0, "pct": 0 }, "layups": { "made": 0, "attempted": 0, "pct": 0 }, "tipIns": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointJumpers": { "made": 0, "attempted": 0, "pct": 0 }, "threePointJumpers": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "attemptsBreakdown": { "threePointJumpers": 0, "twoPointJumpers": 0, "tipIns": 0, "layups": 0, "dunks": 0 }, "athleteId": 0, "athleteName": "athleteName" } ]
json
application/json

VenuesRankings